Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.server
Class FilterTestRedirector

    java.lang.Object
      org.apache.cactus.server.FilterTestRedirector

All Implemented Interfaces:
  javax.servlet.Filter

public class FilterTestRedirector
extends java.lang.Object
implements javax.servlet.Filter

Generic Filter redirector that calls a test method on the server side.

Version:
  $Id: FilterTestRedirector.java 238991 2004-05-22 11:34:50Z vmassol $
See Also:
  `FilterTestCaller`

Constructor Summary
`FilterTestRedirector()`

Method Summary
`void` | `destroy()` Destroy the filter.
`void` | `doFilter(javax.servlet.ServletRequest theRequest, javax.servlet.ServletResponse theResponse, javax.servlet.FilterChain theFilterChain)` Handle the request.
`javax.servlet.FilterConfig` | `getFilterConfig()` Provided so that it works with containers that do not support the latest Filter spec yet (ex: Orion 1.5.2)
`void` | `init(javax.servlet.FilterConfig theConfig)` Initialise this filter redirector.
`void` | `setFilterConfig(javax.servlet.FilterConfig theConfig)` Provided so that it works with containers that do not support the latest Filter spec yet (ex: Orion 1.5.2)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterTestRedirector

    public FilterTestRedirector()

Method Detail

### doFilter

    public void doFilter(javax.servlet.ServletRequest theRequest,
                         javax.servlet.ServletResponse theResponse,
                         javax.servlet.FilterChain theFilterChain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Handle the request. Extract from the HTTP request paramete the Service to perform : call test method or return tests results.

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Parameters:
    `theRequest` - the incoming HTTP request which contains all needed information on the test case and method to call
    `theResponse` - the response to send back to the client side
    `theFilterChain` - contains the chain of filters.
  Throws:
    `java.io.IOException` - if an error occurred during test on server side
    `javax.servlet.ServletException` - if an error occurred during test on server side

### init

    public void init(javax.servlet.FilterConfig theConfig)

  Initialise this filter redirector. Called by the container.

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Parameters:
    `theConfig` - the filter config containing initialisation parameters from web.xml

### setFilterConfig

    public void setFilterConfig(javax.servlet.FilterConfig theConfig)

  Provided so that it works with containers that do not support the latest Filter spec yet (ex: Orion 1.5.2)

  Parameters:
    `theConfig` - the Filter Config

### getFilterConfig

    public javax.servlet.FilterConfig getFilterConfig()

  Provided so that it works with containers that do not support the latest Filter spec yet (ex: Orion 1.5.2)

  Returns:
    the Filter Config

### destroy

    public void destroy()

  Destroy the filter. Called by the container.

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.